% ----------------------------------------------------------------------------
% hfssSubtract(fid, blankParts, toolParts)
%
% Description:
% ------------
% Funkce HfssSubtract(fid,HblankParts,HtoolParts) je potřebná funkce k vyříznutí
% jednoho objektu od druhého. Funkce nemá návratovou hodnotu.
%
% Parametry funkce :
% ------------
% fid - soubor identifikující historii HFSS skriptu.
% HblankParts – objekt, který bude vyříznut.
% HtoolParts - objekt ze kterého bude vyříznut objekt HblankParts.
% %
% Priklad pouziti :
% ---------
% fid = fopen('antenna.m', 'wt');
% ... 
% HfssSubtract(fid,'Antena','zarez2');
%
% -------------------------------------------------------------------------
function HfssSubtract(fid,HblankParts,HtoolParts)
global Editor

%zapis do souboru temp
fprintf(fid,'%% vyriznuti materialu\n');
fprintf(fid,'invoke(Editor,''Subtract'',...\n');
fprintf(fid,'{''NAME:Selections'',...\n');
fprintf(fid,['''Blank Parts:='',''',HblankParts,''',...\n']);
fprintf(fid,['''Tool Parts:='',''',HtoolParts,'''},...\n']);
fprintf(fid,'{''NAME:SubtractParameters'',...\n');
fprintf(fid,'''SolveInside:='',false})\n\n');

invoke(Editor,'Subtract',...
    {'NAME:Selections',...
    'Blank Parts:=',HblankParts,...
    'Tool Parts:=',HtoolParts},...
    {'NAME:SubtractParameters',...
    'KeepOriginals:=',false}); 

end